<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="/refresh_messages.js"></script>  
  </head>
  <title>Tchache</title>
</head>
<body>

  <nav class="navbar navbar-expand-md navbar-dark bg-dark">

    <a class="navbar-brand mr-auto" href="#">Tchatche</a>

    <form class="form-inline" action="/logout" method="post">
      <span class="text-light mr-1"> Bienvenue {{name}} </span>
      <input class="form-control btn btn-secondary m-1" type="submit" value="Se déconnecter">
    </form>

  </nav>

  <main role="main">

    <div class="container mt-3 mb-3">

      {{#info}}
        <div class="alert alert-{{info.type}}"> {{info.text}} </div>
      {{/info}}

      <h2> <img height="64" src="https://svgsilh.com/svg/310393-007bff.svg"> Liste des messages </h2>
      <p> Cette liste contient les 10 derniers messages publiés. </p>

      <div id="messages">
        {{#messages}}
          <p> <strong>{{author}}</strong> : {{text}} </p>
        {{/messages}}
      </div>

      <h2> Ajouter un message </h2>
      <p> Réfléchissez bien avant d'écrire, le sort du monde en dépend. </p>

      <form class="form-inline" action="/add_message" method="post">
        <input class="form-control m-1" type="text" name="text" placeholder="Texte" autofocus>
        <input class="form-control btn btn-primary m-1" type="submit" value="Ajouter">
      </form>

    </div>

  </div>

</body>
</html>
